View Issue Details

IDProjectCategoryView StatusLast Update
0001646XdebugUsage problems (Wrong Results)public2019-04-05 10:48
ReporterdwilksAssigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.6.0 
Target Version2.7.1Fixed in Version2.7.1 
Summary0001646: Missing newline in error message
DescriptionI don't know what's causing it yet but I'm seeing tons of broken socket error messages filling up Apache's error log. The worst part is that the error message doesn't have a newline

      fprintf(stderr, "There was a problem sending %zd bytes on socket %d: %s", tmp->l, context->socket, sock_error);

so any tool I point at the error log goes nuts on lines that are megabytes long. Here's just a very short snippet:

There was a problem sending 341 bytes on socket 17: Broken pipeThere was a problem sending 340 bytes on socket 17: Broken pipeThere was a problem sending 341 bytes on socket 17: Broken pipeThere was a problem sending 341 bytes on socket 17: Broken pipeThere was a problem sending 340 bytes on socket 17: Broken pipeThere was a problem sending 341 bytes on socket 17: Broken pipeThere was a problem sending 341 bytes on socket 17: Broken pipeThere was a problem sending 340 bytes on socket 17: Broken pipeThere was a problem sending 341 bytes on socket 17: Broken pipeThere was a problem sending 341 bytes on socket 17: Broken pipeThere was a problem sending 340 bytes on socket 17: Broken pipeThere was a problem sending 341 bytes on socket 17: Broken pipeThere was a problem sending 341 bytes on socket 17: Broken pipeThere was a problem sending 342 bytes on socket 17: Broken pipeThere was a problem sending 335 bytes on socket 17: Broken pipeThere was a problem sending 340 bytes on socket 17: Broken pipeThere was a problem sending 340 bytes on socket 17: Broken pipeThere was a problem sending 355 bytes on socket 17: Broken pipeThere was a problem sending 367 bytes on socket 17: Broken pipeThere was a problem sending 364 bytes on socket 17: Broken pipeThere was a problem sending 366 bytes on socket 17: Broken pipeThere was a problem sending 360 bytes on socket 17: Broken pipeThere was a problem sending 360 bytes on socket 17: Broken pipeThere was a problem sending 359 bytes on socket 17: Broken pipeThere was a problem sending 362 bytes on socket 17: Broken pipeThere was a problem sending 358 bytes on socket 17: Broken pipeThere was a problem sending 358 bytes on socket 17: Broken pipeThere was a problem sending 369 bytes on socket 17: Broken pipeThere was a problem sending 357 bytes on socket 17: Broken pipeThere was a problem sending 340 bytes on socket 17: Broken pipeThere was a problem sending 340 bytes on socket 17: Broken pipeThere was a problem sending 338 bytes on socket 17: Broken pipeThere was a problem sending 338 bytes on socket 17: Broken pipeThere was a problem sending 342 bytes on socket 17: Broken pipeThere was a problem sending 338 bytes on socket 17: Broken pipeThere was a problem sending 342 bytes on socket 17: Broken pipeThere was a problem sending 338 bytes on socket 17: Broken pipeThere was a problem sending 342 bytes on socket 17: Broken pipeThere was a problem sending 338 bytes on socket 17: Broken pipeThere was a problem sending 342 bytes on socket 17: Broken pipeThere was a problem sending 338 bytes on socket 17: Broken pipeThere was a problem sending 342 bytes on socket 17: Broken pipeThere was a problem sending 346 bytes on socket 17: Broken pipeThere was a problem sending 334 bytes on socket 17: Broken pipe
Steps To ReproduceSomehow break PhPStorm in a way that xdebug really keeps trying to send it data while debugging.
TagsNo tags attached.
Operating SystemMacOS 10.14.3
PHP Version7.1.25-7.1.29

Activities

derick

2019-03-10 17:17

administrator   ~0004955

I've made a pull request to address the missing new line (and add the Unix timestamp to the beginning): https://github.com/derickr/xdebug/tree/issue1646-socket-warning

I'm curious to hear whether you can find a way on how to reproduce this though.

dwilks

2019-03-14 22:57

reporter   ~0004970

https://youtrack.jetbrains.com/issue/WI-45825 for the repro case. Basically just hit their debugger's stop button while a script is executing.

derick

2019-03-21 14:13

administrator   ~0004975

Hi,

I can now reproduce this. I'll go have a look at whether I can fix this.

cheers,
Derick

derick

2019-04-05 10:48

administrator   ~0004983

There was indeed a bug here, which I've fixed for Xdebug 2.7.1 (soon to be released).

Issue History

Date Modified Username Field Change
2019-03-07 23:25 dwilks New Issue
2019-03-10 17:17 derick Assigned To => derick
2019-03-10 17:17 derick Status new => feedback
2019-03-10 17:17 derick Note Added: 0004955
2019-03-14 22:57 dwilks Note Added: 0004970
2019-03-14 22:57 dwilks Status feedback => assigned
2019-03-21 14:13 derick Note Added: 0004975
2019-04-05 10:48 derick Category Feature/Change request => Usage problems (Wrong Results)
2019-04-05 10:48 derick Fixed in Version => 2.7.1
2019-04-05 10:48 derick Target Version => 2.7.1
2019-04-05 10:48 derick Status assigned => closed
2019-04-05 10:48 derick Resolution open => fixed
2019-04-05 10:48 derick Note Added: 0004983